RULEXDB_LOAD_RULESET(3)

NAME
rulexdb_load_ruleset - load specified ruleset from a rulex database

SYNOPSIS
#include <rulexdb.h>

int rulexdb_load_ruleset(RULEXDB *rulexdb, int rule_type);

DESCRIPTION
The rulexdb_load_ruleset() function preloads all data for the ruleset specified by rule_type argument that may accept one of the following values:

RULEXDB_LEXCLASS
    Load the Classifiers ruleset.

RULEXDB_PREFIX
    Load the Prefix detectors ruleset.

RULEXDB_RULE
    Load the General ruleset.

RULEXDB_CORRECTOR
    Load the Correctors ruleset.

The argument rulexdb references the database to deal with.

Loaded ruleset cannot be modified.

RETURN VALUE
The rulexdb_load_ruleset() function returns number of loaded records or negative error code.

ERRORS

RULEXDB_FAILURE
    Referenced database has not been opened, internal data structures are corrupted or some other general failure has occurred.

RULEXDB_EPARM
    Invalid arguments are specified.

RULEXDB_EACCESS
    The database cannot be initialized for loading.

SEE ALSO
rulexdb_classify(3), rulexdb_close(3), rulexdb_dataset_name(3), rulexdb_discard_dictionary(3), rulexdb_discard_ruleset(3), rulexdb_fetch_rule(3), rulexdb_lexbase(3), rulexdb_open(3), rulexdb_remove_item(3), rulexdb_remove_rule(3), rulexdb_remove_this_item(3), rulexdb_retrieve_item(3), rulexdb_search(3), rulexdb_seq(3), rulexdb_subscribe_item(3), rulexdb_subscribe_rule(3)

AUTHOR
Igor B. Poretsky <poretsky@mlbox.ru>.